/*
This file is part of Adapa (Automatic DAta PArallelism)
Copyright (C) 2009  Pedro Ribeiro (CRACS & INESC-Porto LA, U. Porto)

Adapa is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3, as
published by the Free Software Foundation.

Adapa is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Adapa.  If not, see <http://www.gnu.org/licenses/>.
*/
 
#ifndef _CONDOR_
#define _CONDOR_

#include "Engine.h"

class Condor : public Engine {
 private:
  Parameters *p;

 public:
  virtual void setParameters(Parameters *p);
  virtual void prepareFiles();
  virtual void submit();
  virtual void status();
  virtual void cancel();
  virtual int  jobsRunning();
  virtual void rerun(int i);
};

#endif

