/*
This file is part of Adapa (Automatic DAta PArallelism)
Copyright (C) 2009  Pedro Ribeiro (CRACS & INESC-Porto LA, U. Porto)

Adapa is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3, as
published by the Free Software Foundation.

Adapa is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Adapa.  If not, see <http://www.gnu.org/licenses/>.
*/
 
#ifndef _ACTION_
#define _ACTION_

#include "Parameters.h"
#include "Engine.h"

class Action {
 private:
  Parameters *p;
  Engine *e;

 public:
  Action(Parameters *p);

  void decideAction();
  void divideData();
  void submissionFiles();
  void submitJobs();
  void cancelJobs();
  void status();
  void collect();
  void createExperimentDir();
  void removeExperimentDir();

};

#endif
