/*
This file is part of Adapa (Automatic DAta PArallelism)
Copyright (C) 2009  Pedro Ribeiro (CRACS & INESC-Porto LA, U. Porto)

Adapa is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3, as
published by the Free Software Foundation.

Adapa is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Adapa.  If not, see <http://www.gnu.org/licenses/>.
*/
 
#include "Clock.h"

// --------------------------------------

/* Start clock timer */
void Clock::startTimer() {
  start = clock();
}

// --------------------------------------

/* End clock timer */
void Clock::endTimer() {
  end = clock();
}

// --------------------------------------

/* Count number of seconds elapsed between starting and ending the timer */
double Clock::secondsElapsed() {
  return (double)(end-start) / (double)CLOCKS_PER_SEC;
}

// --------------------------------------
