/*
This file is part of Adapa (Automatic DAta PArallelism)
Copyright (C) 2009  Pedro Ribeiro (CRACS & INESC-Porto LA, U. Porto)

Adapa is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3, as
published by the Free Software Foundation.

Adapa is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Adapa.  If not, see <http://www.gnu.org/licenses/>.
*/
 
#include "Common.h"

#include <stdio.h>
#include <ctype.h>
#include <string.h>

// --------------------------------------

/* Make a yes or no question to user, reporting back the result */
int Common::yesNoQuestion(char *s) {
  char buf[MAX_BUF];
  printf("%s (Yes/No)\n", s);
  scanf("%s", buf);
  if (tolower(buf[0])=='y') return 1;
  else return 0;
}

// --------------------------------------

/* Extract file name from full path string (assume '/' as separator) */
void Common::fileName(const char *path, char *file) {
  char *p;
  p = strrchr(path, '/');
  if (p==NULL) strcpy(file, path);
  else strcpy(file, p+1);
}

// --------------------------------------
